searchNodes=[{"doc":"A collection of calculation functions.","ref":"AHT20.Calc.html","title":"AHT20.Calc","type":"module"},{"doc":"Calculates the temperature in Celsius.iex&gt; AHT20.Calc.celsius_from_raw_temperature(410343) 28.26671600341797","ref":"AHT20.Calc.html#celsius_from_raw_temperature/1","title":"AHT20.Calc.celsius_from_raw_temperature/1","type":"function"},{"doc":"Calculates the temperature in Fahrenheit.iex&gt; AHT20.Calc.fahrenheit_from_raw_temperature(410343) 82.88008880615234","ref":"AHT20.Calc.html#fahrenheit_from_raw_temperature/1","title":"AHT20.Calc.fahrenheit_from_raw_temperature/1","type":"function"},{"doc":"Obtains the humidity value from the sensor output.iex&gt; AHT20.Calc.raw_humidity_from_sensor_output(&lt;&lt;28, 38, 154, 118, 66, 231, 118&gt;&gt;) 158119","ref":"AHT20.Calc.html#raw_humidity_from_sensor_output/1","title":"AHT20.Calc.raw_humidity_from_sensor_output/1","type":"function"},{"doc":"Obtains the temperature value from the sensor output.iex&gt; AHT20.Calc.raw_temperature_from_sensor_output(&lt;&lt;28, 38, 154, 118, 66, 231, 118&gt;&gt;) 410343","ref":"AHT20.Calc.html#raw_temperature_from_sensor_output/1","title":"AHT20.Calc.raw_temperature_from_sensor_output/1","type":"function"},{"doc":"Calculates the relative humidity in percent.iex&gt; AHT20.Calc.relative_humidity(158119) 15.079402923583984","ref":"AHT20.Calc.html#relative_humidity/1","title":"AHT20.Calc.relative_humidity/1","type":"function"},{"doc":"One sensor measurement report. Only the raw temperature and raw humidity values are computed directly from the sensor. All other values are derived.","ref":"AHT20.Measurement.html","title":"AHT20.Measurement","type":"module"},{"doc":"Converts raw sensor output into human-readable format.iex&gt; AHT20.Measurement.from_sensor_output(&lt;&lt;28, 38, 154, 118, 66, 231, 118&gt;&gt;) %AHT20.Measurement{ raw_humidity: 158119, raw_temperature: 410343, relative_humidity: 15.079402923583984, temperature_c: 28.26671600341797, temperature_f: 82.88008880615234 }","ref":"AHT20.Measurement.html#from_sensor_output/1","title":"AHT20.Measurement.from_sensor_output/1","type":"function"},{"doc":"","ref":"AHT20.Measurement.html#t:t/0","title":"AHT20.Measurement.t/0","type":"type"},{"doc":"Abstracts the basic operations of the temperature and humidity sensor AHT20. For the ADT20 specifications, please refer to the AHT20 data sheet.","ref":"AHT20.Sensor.html","title":"AHT20.Sensor","type":"module"},{"doc":"Triggers the sensor to read temperature and humidity.","ref":"AHT20.Sensor.html#read_data/1","title":"AHT20.Sensor.read_data/1","type":"function"},{"doc":"Obtains the sensor status byte. For more info. please refer to the data sheet (section 5.3).","ref":"AHT20.Sensor.html#read_state/1","title":"AHT20.Sensor.read_state/1","type":"function"},{"doc":"Restarts the sensor system without having to turn off and turn on the power again. For more info. please refer to the data sheet (section 5.5).","ref":"AHT20.Sensor.html#reset/1","title":"AHT20.Sensor.reset/1","type":"function"},{"doc":"Connects to the sensor. For more info. please refer to the data sheet (section 5.4).","ref":"AHT20.Sensor.html#start/1","title":"AHT20.Sensor.start/1","type":"function"},{"doc":"The configuration options.","ref":"AHT20.Sensor.html#t:config/0","title":"AHT20.Sensor.config/0","type":"type"},{"doc":"","ref":"AHT20.Sensor.html#t:i2c_address/0","title":"AHT20.Sensor.i2c_address/0","type":"type"},{"doc":"","ref":"AHT20.Sensor.html#t:i2c_bus/0","title":"AHT20.Sensor.i2c_bus/0","type":"type"},{"doc":"Represents the connection to the sensor.","ref":"AHT20.Sensor.html#t:t/0","title":"AHT20.Sensor.t/0","type":"type"},{"doc":"Represents the sensor state.","ref":"AHT20.State.html","title":"AHT20.State","type":"module"},{"doc":"Parses the sensor state byte into a human-readable struct.iex&gt; AHT20.State.from_byte(0b0001_1100) %AHT20.State{busy: false, calibrated: true, mode: :nor}","ref":"AHT20.State.html#from_byte/1","title":"AHT20.State.from_byte/1","type":"function"},{"doc":"","ref":"AHT20.State.html#t:t/0","title":"AHT20.State.t/0","type":"type"},{"doc":"AHT20 Use AHT20 temperature &amp; humidity sensor in Elixir.","ref":"readme.html","title":"AHT20","type":"extras"},{"doc":"Here's an example use:# Detect I2C devices. iex&gt; Circuits.I2C.detect_devices() Devices on I2C bus &quot;i2c-1&quot;: * 56 (0x38) 1 devices detected on 1 I2C buses # Connect to the sensor. iex&gt; {:ok, aht20} = AHT20.start(bus_name: &quot;i2c-1&quot;, bus_address: 0x38) {:ok, AHT20.Sensor{}} # Read the humidity and temperature from the sensor. iex&gt; AHT20.read_data(aht20) {:ok, %AHT20.Measurement{ raw_humidity: 158119, raw_temperature: 410343, relative_humidity: 15.079402923583984, temperature_c: 28.26671600341797, temperature_f: 82.88008880615234 }}Depending on your hardware configuration, you may need to modify the call to AHT20.start/1. See AHT20.Sensor.config/0 for parameters.","ref":"readme.html#usage","title":"AHT20 - Usage","type":"extras"}]